<script setup lang="ts">
import { ILayoutPos } from "@core";

interface AppRowProps{
  layoutPos: ILayoutPos;
}

const props = withDefaults(defineProps<AppRowProps>(), {

});

// use通用的layout解析逻辑。

const layoutMode = "";

onMounted(() => {
  console.log(props)
});

</script>

<template>
<div v-if="layoutMode == 'FLEX'" class="app-row">
  <slot></slot>
</div>
<a-row v-else class="app-row">
  <slot></slot>
</a-row>
</template>

<style lang="scss">

</style>